package com.house365.service;

import com.house365.beans.vo.Department;
import com.house365.common.searchBeans.CommonSearchResponse;
import com.house365.common.searchBeans.QueryParams;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/1/9</p>
 *
 * @author XN
 * @version 1.0
 */
public interface IDepartmentService {

    CommonSearchResponse<Department> queryByPage(
            QueryParams queryParams
    );

    Department selectByPrimaryKey(Integer id);

    int save(Department department);

    int updateByPrimaryKey(Department record);

    int deleteByPrimaryKey(Integer id);

    int nextId(String companyId);

    Department selectByCompanyIdAndDepartmentId(String departmentId, String companyId);

    Department selectByCompanyIdAndWeChatDepartmentId(String companyId, String weChatDepartmentId);
}
